%global pkg_name        Data-Serializer
%global pkg_version     0.42
%global rpm_pkg_version 0.42
%global rpm_pkg_release 1.n0i.16

Summary:       Generic interface to serializer modules
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NE/NEELY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Test::More)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
# full throttle, for testing full capabilities
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(IO::File)
BuildRequires: perl(Config::General)
BuildRequires: perl(Data::Denter)
BuildRequires: perl(Data::Taxi)
BuildRequires: perl(ExtUtils::TBone)
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(JSON)
BuildRequires: perl(JSON::Syck)
BuildRequires: perl(PHP::Serialization)
BuildRequires: perl(Storable)
BuildRequires: perl(XML::Dumper)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
%endif

# skip optional reqs, Data-Dumper should be enough ;-)
%global perl_filter_req 'perl\\((Data::Denter|Data::Taxi|FreezeThaw|JSON|PHP|Storable|XML|YAML|Config)'


%description
Provides a unified interface to the various serializing modules currently
available. Adds the functionality of both compression and encryption.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%doc Changes examples/ README


%changelog
* Tue Oct 30 2007 Marius Feraru <altblue@n0i.net> - 0.42-1.n0i.16
- version 0.42

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.41-1.n0i.15
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.41

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.36-1.n0i.14
- version 0.36

* Fri Nov 04 2005 Marius Feraru <altblue@n0i.net> 0.35-1.n0i.13
- version 0.35

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.34-1.n0i.12
- version 0.34

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.32-1.n0i.11
- version 0.32

* Sat Sep 24 2005 Marius Feraru <altblue@n0i.net> 0.30-1.n0i.10
- version 0.30

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.29-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.29-2.n0i.8
- version 0.29

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.26-1.n0i.7
- version 0.26

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.25-2.n0i.6
- version 0.25

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.22-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.22-1.n0i.4
- version 0.22

* Sat Feb 21 2004 Marius FERARU <altblue@n0i.net> 0:0.20-1.n0i.3
- version 0.20

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.17-0.n0i.2
- version 0.17
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 0.17-0.n0i
- Initial build.
